### Function

# ICalGLib recur_expand_recurrence

since: 1.0

#### Declaration [src]

    GArray*
    i_cal_recur_expand_recurrence (
      const gchar* rule,
      time_t start,
      gint count
    )

#### Description [src]

Fills an array with the ‘count’ number of occurrences generated by the rrule. Note that the times are returned in UTC, but the times are calculated in local time. YOu will have to convert the results back into local time before using them.

Available since: 1.0

#### Parameters

`rule`

  Type: `const gchar*`

  The rule of the recurrence.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`start`

  Type: `time_t`

  The start seconds past the POSIX epoch.

`count`

  Type: `gint`

  The number of elements to be filled up in the `array`.

#### Return value

Type: An array of `const time_t`

If successful, return the array. NULL if failed.

The caller of the function takes ownership of the data, and is responsible for freeing it.